## org.apache.batik.dom.svg
Class SVGOMTransform

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGTransform
          org.apache.batik.dom.svg.SVGOMTransform

All Implemented Interfaces:
  SVGTransform

public class SVGOMTransform
extends AbstractSVGTransform

This class is the implementation of the SVGTransform interface. Create an identity SVGTransform

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGTransform
`affineTransform, angle, type, x, y`

Fields inherited from interface org.w3c.dom.svg.SVGTransform
`SVG_TRANSFORM_MATRIX, SVG_TRANSFORM_ROTATE, SVG_TRANSFORM_SCALE, SVG_TRANSFORM_SKEWX, SVG_TRANSFORM_SKEWY, SVG_TRANSFORM_TRANSLATE, SVG_TRANSFORM_UNKNOWN`

Constructor Summary
`SVGOMTransform()`

Method Summary
`protected SVGMatrix` `createMatrix()` Create a SVGMatrix associated to the transform.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGTransform
`getAngle, getMatrix, getType, getX, getY, setMatrix, setRotate, setScale, setSkewX, setSkewY, setTranslate, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMTransform

    public SVGOMTransform()

Method Detail

### createMatrix

    protected SVGMatrix createMatrix()

  Description copied from class: `AbstractSVGTransform`
  Create a SVGMatrix associated to the transform.

  Specified by:
    `createMatrix` in class `AbstractSVGTransform`
  Returns:
    SVGMatrix representing the transformation

Copyright © 2004 Apache Software Foundation. All Rights Reserved.